import { AlimtalkManagerService } from './alimtalk-manager.service';
import { AlimtalkManager } from './entity/alimtalk-manager.entity';
import { AlimtalkManagerSearchDto } from './dto/alimtalk-manager.search.dto';
import { AlimtalkManagerInsertDto } from './dto/alimtalk-manager.insert.dto';
import { AlimtalkManagerUpdateDto } from './dto/alimtalk-manager.update.dto';
export declare class AlimtalkManagerController {
    private alimtalkManagerService;
    constructor(alimtalkManagerService: AlimtalkManagerService);
    find(dto: AlimtalkManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(sno: number): Promise<any>;
    create(dto: AlimtalkManagerInsertDto): Promise<AlimtalkManager>;
    update(dto: AlimtalkManagerUpdateDto): Promise<AlimtalkManager>;
}
