import { DefaultService } from 'src/common/service/default.service';
import { AlimtalkManagerInsertDto } from './dto/alimtalk-manager.insert.dto';
import { AlimtalkManager } from './entity/alimtalk-manager.entity';
import { AlimtalkManagerUpdateDto } from './dto/alimtalk-manager.update.dto';
import { AlimtalkManagerSearchDto } from './dto/alimtalk-manager.search.dto';
export declare class AlimtalkManagerService extends DefaultService {
    create(dto: AlimtalkManagerInsertDto): Promise<AlimtalkManager>;
    update(dto: AlimtalkManagerUpdateDto): Promise<AlimtalkManager>;
    findOne(sno: number): Promise<any>;
    findOneByPartnerNo(partnerSno: number): Promise<AlimtalkManager>;
    find(dto: AlimtalkManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
