import { AlimtalkTemplateService } from './alimtalk-template.service';
import { AlimtalkTemplate } from './entity/alimtalk-template.entity';
import { AlimtalkTemplateSearchDto } from './dto/alimtalk-template.search.dto';
import { AlimtalkTemplateInsertDto } from './dto/alimtalk-template.insert.dto';
import { AlimtalkTemplateUpdateDto } from './dto/alimtalk-template.update.dto';
export declare class AlimtalkTemplateController {
    private alimtalkTemplateService;
    constructor(alimtalkTemplateService: AlimtalkTemplateService);
    find(dto: AlimtalkTemplateSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(partnerSno: number, templateCode: string): Promise<any>;
    create(dto: AlimtalkTemplateInsertDto): Promise<AlimtalkTemplate>;
    update(dto: AlimtalkTemplateUpdateDto): Promise<any>;
}
