import { AlimtalkTemplate } from './entity/alimtalk-template.entity';
import { DefaultService } from 'src/common/service/default.service';
import { AlimtalkTemplateInsertDto } from './dto/alimtalk-template.insert.dto';
import { AlimtalkTemplateUpdateDto } from './dto/alimtalk-template.update.dto';
import { AlimtalkTemplateSearchDto } from './dto/alimtalk-template.search.dto';
export declare class AlimtalkTemplateService extends DefaultService {
    create(dto: AlimtalkTemplateInsertDto): Promise<AlimtalkTemplate>;
    update(dto: AlimtalkTemplateUpdateDto): Promise<any>;
    findOne(templateCode: string, partnerSno: number): Promise<any>;
    find(dto: AlimtalkTemplateSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
