import { AppPartnerService } from './app-partner.service';
import { AppPartnerInsertDto } from './dto/app-partner.insert.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
export declare class AppPartnerController {
    private appPartnerService;
    constructor(appPartnerService: AppPartnerService);
    create(dto: AppPartnerInsertDto): Promise<import("./entity/app-partner.entity").AppPartner[]>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    find(req: ICustomAdminRequest, partnerSno: number): Promise<any[]>;
}
