"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppPartner = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
let AppPartner = class AppPartner {
};
exports.AppPartner = AppPartner;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('increment'),
    (0, typeorm_1.PrimaryColumn)(),
    (0, class_transformer_1.Exclude)(),
    __metadata("design:type", Number)
], AppPartner.prototype, "sno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '앱 번호', required: true }),
    __metadata("design:type", Number)
], AppPartner.prototype, "appSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], AppPartner.prototype, "partnerSno", void 0);
exports.AppPartner = AppPartner = __decorate([
    (0, typeorm_1.Entity)('gs_appPartnerManager')
], AppPartner);
//# sourceMappingURL=app-partner.entity.js.map