"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeInsertDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class CodeInsertDto {
}
exports.CodeInsertDto = CodeInsertDto;
__decorate([
    (0, swagger_1.ApiProperty)({ description: '코드 키(e.g. 001)' }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CodeInsertDto.prototype, "codeKey", void 0);
__decorate([
    (0, swagger_1.ApiPropertyOptional)({
        description: '부모키(2차 depth 이상일 경우에만 적용)',
        example: '',
    }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeInsertDto.prototype, "parentKey", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '코드 명' }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CodeInsertDto.prototype, "codeName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '코드 값' }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeInsertDto.prototype, "codeValue", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: '1차 depth인지 여부',
        enum: enum_1.YN,
        example: 'Y',
    }),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    __metadata("design:type", String)
], CodeInsertDto.prototype, "rootFl", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: '화면 노출 여부',
        enum: enum_1.YN,
        example: 'Y',
    }),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    __metadata("design:type", String)
], CodeInsertDto.prototype, "displayFl", void 0);
//# sourceMappingURL=code.insert.dto.js.map