"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class CodeSearchDto {
}
exports.CodeSearchDto = CodeSearchDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        description: '코드 키',
        example: '첫번째 코드',
        required: false,
    }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeSearchDto.prototype, "codeKey", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '코드 명', example: '코드명', required: false }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeSearchDto.prototype, "codeName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: '코드 값',
        example: '첫번째 코드',
        required: false,
    }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeSearchDto.prototype, "codeValue", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: '부모키(2차 depth 이상일 경우에만 적용)',
        required: false,
    }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeSearchDto.prototype, "parentKey", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CodeSearchDto.prototype, "rootFl", void 0);
//# sourceMappingURL=code.search.dto.js.map