"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Code = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
let Code = class Code extends (0, swagger_1.PickType)(common_entity_1.CommonEntity, ['regDt', 'updateDt']) {
};
exports.Code = Code;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, swagger_1.ApiProperty)({ description: '코드키' }),
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], Code.prototype, "codeKey", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '부모키코드' }),
    __metadata("design:type", String)
], Code.prototype, "parentKey", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, swagger_1.ApiProperty)({ description: '코드명' }),
    __metadata("design:type", String)
], Code.prototype, "codeName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '코드값' }),
    __metadata("design:type", String)
], Code.prototype, "codeValue", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: enum_1.YN,
        default: enum_1.YN.N,
    }),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, swagger_1.ApiProperty)({ description: '루트여부' }),
    __metadata("design:type", String)
], Code.prototype, "rootFl", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: enum_1.YN,
        default: enum_1.YN.N,
    }),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, swagger_1.ApiProperty)({ description: '노출여부' }),
    __metadata("design:type", String)
], Code.prototype, "displayFl", void 0);
exports.Code = Code = __decorate([
    (0, typeorm_1.Entity)('gs_code')
], Code);
//# sourceMappingURL=code.entity.js.map