import { DefaultService } from 'src/common/service/default.service';
import { ManagerInsertDto } from './dto/manager.insert.dto';
import { Manager } from './entity/manager.entity';
import { ManagerSearchDto } from './dto/manager.search.dto';
import { ManagerUpdateDto } from './dto/manager.update.dto';
export declare class ManagerService extends DefaultService {
    find(dto: ManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(managerSno: number): Promise<any>;
    findOneById(id: string): Promise<Manager>;
    create(dto: ManagerInsertDto): Promise<Manager>;
    update(dto: ManagerUpdateDto): Promise<Manager>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    profile(sno: number): Promise<Manager>;
}
