"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandLikeController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const brand_like_update_dto_1 = require("./dto/brand-like.update.dto");
const brand_like_service_1 = require("./brand-like.service");
let BrandLikeController = class BrandLikeController {
    constructor(brandLikeService) {
        this.brandLikeService = brandLikeService;
    }
    async create(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.brandLikeService.create(dto);
    }
    async find(req, memNo) {
        return this.brandLikeService.find(req.partnerSno, memNo);
    }
};
exports.BrandLikeController = BrandLikeController;
__decorate([
    (0, common_1.Post)(),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 좋아요/해제' }),
    (0, swagger_1.ApiParam)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
    }),
    (0, swagger_1.ApiQuery)({ type: brand_like_update_dto_1.BrandLikeUpdateDto }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, brand_like_update_dto_1.BrandLikeUpdateDto]),
    __metadata("design:returntype", Promise)
], BrandLikeController.prototype, "create", null);
__decorate([
    (0, common_1.Get)('/:memNo'),
    (0, swagger_1.ApiParam)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiParam)({
        name: 'memNo',
        required: true,
        description: '회원번호',
    }),
    (0, swagger_1.ApiOperation)({ summary: '사용자 브랜드 좋아요 리스트' }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('memNo')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], BrandLikeController.prototype, "find", null);
exports.BrandLikeController = BrandLikeController = __decorate([
    (0, common_1.Controller)('app/brand-like'),
    (0, swagger_1.ApiTags)('브랜드 좋아요'),
    __metadata("design:paramtypes", [brand_like_service_1.BrandLikeService])
], BrandLikeController);
//# sourceMappingURL=brand-like.controller.js.map