"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandLikeService = void 0;
const common_1 = require("@nestjs/common");
const default_service_1 = require("../../../common/service/default.service");
const enum_1 = require("../../../common/enum/enum");
const brand_like_entity_1 = require("./entity/brand-like.entity");
let BrandLikeService = class BrandLikeService extends default_service_1.DefaultService {
    async create(dto) {
        if (dto.likeYn === enum_1.YN.Y) {
            return super.createBase(brand_like_entity_1.BrandLike, dto);
        }
        else {
            const entityManager = await this.getEntityManager();
            return (await entityManager.delete(brand_like_entity_1.BrandLike, {
                partnerSno: dto.partnerSno,
                brandNo: dto.brandNo,
                memNo: dto.memNo,
            })).affected > 0
                ? { result: true }
                : { result: false };
        }
    }
    async find(partnerSno, memNo) {
        const entityManager = await this.getEntityManager();
        const qb = entityManager.createQueryBuilder(brand_like_entity_1.BrandLike, 'brand');
        qb.andWhere('brand.partnerSno', { partnerSno });
        qb.andWhere('brand.memNo', { memNo }).select(['brand.*']);
        return await qb.getRawMany();
    }
};
exports.BrandLikeService = BrandLikeService;
exports.BrandLikeService = BrandLikeService = __decorate([
    (0, common_1.Injectable)()
], BrandLikeService);
//# sourceMappingURL=brand-like.service.js.map