import { BrandManagerService } from './brand-manager.service';
import { ICustomUserRequest } from 'src/common/interface/ICustomUserRequest';
import { BrandManagerSearchDto } from './dto/brand-manager.search.dto';
export declare class BrandController {
    private readonly brandManagerService;
    constructor(brandManagerService: BrandManagerService);
    find(req: ICustomUserRequest, dto: BrandManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
