"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryLikeController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const category_like_service_1 = require("./category-like.service");
const category_like_update_dto_1 = require("./dto/category-like.update.dto");
const category_like_array_update_dto_1 = require("./dto/category-like-array.update.dto");
let CategoryLikeController = class CategoryLikeController {
    constructor(categoryLikeService) {
        this.categoryLikeService = categoryLikeService;
    }
    async create(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.categoryLikeService.create(dto);
    }
    async find(req, memNo) {
        return this.categoryLikeService.find(req.partnerSno, memNo);
    }
    async createArray(req, dto) {
        dto.partnerSno = req.partnerSno;
        return this.categoryLikeService.createArray(dto);
    }
};
exports.CategoryLikeController = CategoryLikeController;
__decorate([
    (0, common_1.Post)(),
    (0, swagger_1.ApiOperation)({ summary: '카테고리 좋아요/해제' }),
    (0, swagger_1.ApiQuery)({ type: category_like_update_dto_1.CategoryLikeUpdateDto }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, category_like_update_dto_1.CategoryLikeUpdateDto]),
    __metadata("design:returntype", Promise)
], CategoryLikeController.prototype, "create", null);
__decorate([
    (0, common_1.Get)('/:memNo'),
    (0, swagger_1.ApiOperation)({ summary: '사용자 카테고리 좋아요 리스트' }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('memNo')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], CategoryLikeController.prototype, "find", null);
__decorate([
    (0, common_1.Post)('/multi'),
    (0, swagger_1.ApiOperation)({ summary: '카테고리 복수개 좋아요 처리' }),
    (0, swagger_1.ApiQuery)({ type: category_like_array_update_dto_1.CategoryLikeArrayUpdateDto }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, category_like_array_update_dto_1.CategoryLikeArrayUpdateDto]),
    __metadata("design:returntype", Promise)
], CategoryLikeController.prototype, "createArray", null);
exports.CategoryLikeController = CategoryLikeController = __decorate([
    (0, common_1.Controller)('app/category-like'),
    (0, swagger_1.ApiTags)('카테고리 좋아요'),
    __metadata("design:paramtypes", [category_like_service_1.CategoryLikeService])
], CategoryLikeController);
//# sourceMappingURL=category-like.controller.js.map