"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryLike = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
let CategoryLike = class CategoryLike {
};
exports.CategoryLike = CategoryLike;
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'categoryNo' }),
    (0, class_validator_1.IsNumber)(),
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", Number)
], CategoryLike.prototype, "categoryNo", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], CategoryLike.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '회원번호 번호', required: true }),
    __metadata("design:type", Number)
], CategoryLike.prototype, "memNo", void 0);
exports.CategoryLike = CategoryLike = __decorate([
    (0, typeorm_1.Entity)('gs_category_like')
], CategoryLike);
//# sourceMappingURL=category-like.entity.js.map