import { CommentService } from './comment.service';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { CommentSearchDto } from './dto/comment.search.dto';
export declare class CommentAdminController {
    private readonly commentService;
    constructor(commentService: CommentService);
    find(req: ICustomAdminRequest, dto: CommentSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    deleteComment(req: ICustomAdminRequest, sno: number): Promise<import("typeorm").UpdateResult>;
}
