import { DefaultService } from 'src/common/service/default.service';
import { CommentInsertDto } from './dto/comment.insert.dto';
import { Comment } from './entity/comment.entity';
import { CommentSearchDto } from './dto/comment.search.dto';
import { CommentUpdateDto } from './dto/comment.update.dto';
export declare class CommentService extends DefaultService {
    create(dto: CommentInsertDto): Promise<Comment>;
    find(dto: CommentSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    update(dto: CommentUpdateDto): Promise<import("typeorm").UpdateResult>;
    deleteComment(sno: number, partnerSno: number, memberNo: number): Promise<import("typeorm").UpdateResult>;
    deleteCommentByAdmin(sno: number, partnerSno: number): Promise<import("typeorm").UpdateResult>;
}
