"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentUpdateDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class CommentUpdateDto {
}
exports.CommentUpdateDto = CommentUpdateDto;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '댓글 sno', required: true }),
    __metadata("design:type", Number)
], CommentUpdateDto.prototype, "sno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], CommentUpdateDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '작성자 아이디 (마스킹 처리)', required: false }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", String)
], CommentUpdateDto.prototype, "memberId", void 0);
__decorate([
    (0, class_validator_1.IsNumberString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '작성자 회원번호', required: true }),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], CommentUpdateDto.prototype, "memberNo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '첨부파일', required: false }),
    __metadata("design:type", String)
], CommentUpdateDto.prototype, "attachment", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '댓글', required: true }),
    __metadata("design:type", String)
], CommentUpdateDto.prototype, "comment", void 0);
//# sourceMappingURL=comment.update.dto.js.map