"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonProductInfoController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const common_product_info_search_dto_1 = require("./dto/common-product-info.search.dto");
const common_product_info_service_1 = require("./common-product-info.service");
const common_product_info_entity_1 = require("./entity/common-product-info.entity");
let CommonProductInfoController = class CommonProductInfoController {
    constructor(commonProductInfoService) {
        this.commonProductInfoService = commonProductInfoService;
    }
    async find(dto) {
        return await this.commonProductInfoService.find(dto);
    }
};
exports.CommonProductInfoController = CommonProductInfoController;
__decorate([
    (0, common_1.Get)(),
    (0, swagger_1.ApiOperation)({
        summary: '(사용자) 상품 공통정보 조회',
        description: '(사용자) 상품 상세 진입시 공통정보 조회 API 입니다.',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: common_product_info_entity_1.CommonProductInfo }),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [common_product_info_search_dto_1.CommonProductInfoSearchDto]),
    __metadata("design:returntype", Promise)
], CommonProductInfoController.prototype, "find", null);
exports.CommonProductInfoController = CommonProductInfoController = __decorate([
    (0, swagger_1.ApiTags)('[사용자] 상품 공통 정보'),
    (0, common_1.Controller)('/app/common-product-info'),
    __metadata("design:paramtypes", [common_product_info_service_1.CommonProductInfoService])
], CommonProductInfoController);
//# sourceMappingURL=common-product-info.controller.js.map