"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonProductInfoSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class CommonProductInfoSearchDto {
}
exports.CommonProductInfoSearchDto = CommonProductInfoSearchDto;
__decorate([
    (0, swagger_1.ApiProperty)({ description: '상품번호', required: true }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CommonProductInfoSearchDto.prototype, "productNo", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '카테고리 번호 eg. [123,234]', required: false }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Array)
], CommonProductInfoSearchDto.prototype, "categoryNos", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '브랜드 번호', required: false }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CommonProductInfoSearchDto.prototype, "brandNo", void 0);
//# sourceMappingURL=common-product-info.search.dto.js.map