"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurationSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const page_options_dto_1 = require("../../../../common/dto/page.options.dto");
const enum_1 = require("../../../../common/enum/enum");
class CurationSearchDto extends page_options_dto_1.PageOptionsDto {
}
exports.CurationSearchDto = CurationSearchDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], CurationSearchDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '그룹아이디', required: false }),
    __metadata("design:type", String)
], CurationSearchDto.prototype, "groupId", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Transform)(({ value }) => value === 'true' || value === true),
    (0, swagger_1.ApiProperty)({ description: '노출여부', required: false }),
    __metadata("design:type", Boolean)
], CurationSearchDto.prototype, "displayFl", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.CURATION_PRODUCT_DISPLAY_TYPE),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '상품진열 타입',
        required: false,
    }),
    __metadata("design:type", String)
], CurationSearchDto.prototype, "productDisplayType", void 0);
//# sourceMappingURL=curation.search.dto.js.map