"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurationProductDisplay = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const typeorm_1 = require("typeorm");
const curation_product_entity_1 = require("./curation-product.entity");
const curation_entity_1 = require("./curation.entity");
let CurationProductDisplay = class CurationProductDisplay extends common_entity_1.CommonEntity {
};
exports.CurationProductDisplay = CurationProductDisplay;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 번호', required: true }),
    __metadata("design:type", Number)
], CurationProductDisplay.prototype, "curationSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '큐레이션 진열 타이틀', required: true }),
    __metadata("design:type", String)
], CurationProductDisplay.prototype, "displayTitle", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => curation_product_entity_1.CurationProduct, (product) => product.productDisplay),
    (0, swagger_1.ApiProperty)({
        type: () => [curation_product_entity_1.CurationProduct],
        isArray: true,
        description: '상품 진열 정보',
    }),
    __metadata("design:type", Array)
], CurationProductDisplay.prototype, "products", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => curation_entity_1.Curation, (curation) => curation.productDisplay),
    __metadata("design:type", curation_entity_1.Curation)
], CurationProductDisplay.prototype, "curation", void 0);
exports.CurationProductDisplay = CurationProductDisplay = __decorate([
    (0, typeorm_1.Entity)('gs_curation_product_display')
], CurationProductDisplay);
//# sourceMappingURL=curation-product-display.entity.js.map