"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurationProduct = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const typeorm_1 = require("typeorm");
const curation_product_display_entity_1 = require("./curation-product-display.entity");
let CurationProduct = class CurationProduct extends common_entity_1.CommonEntity {
};
exports.CurationProduct = CurationProduct;
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], CurationProduct.prototype, "productDisplaySno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '상품 번호', required: true }),
    __metadata("design:type", Number)
], CurationProduct.prototype, "productNo", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => curation_product_display_entity_1.CurationProductDisplay, (display) => display.products),
    __metadata("design:type", curation_product_display_entity_1.CurationProductDisplay)
], CurationProduct.prototype, "productDisplay", void 0);
exports.CurationProduct = CurationProduct = __decorate([
    (0, typeorm_1.Entity)('gs_curation_product')
], CurationProduct);
//# sourceMappingURL=curation-product.entity.js.map