import { CommonEntity } from 'src/common/entity/common.entity';
import { DISPLAY_TYPE } from 'src/common/enum/enum';
import { magazineSummaryDto } from '../dto/magazine.summary.dto';
export declare class Magazine extends CommonEntity {
    partnerSno: number;
    managerSno: number;
    category: string;
    mainImg: string;
    title: string;
    subTitle: string;
    contents: string;
    tag: string;
    displayFl: boolean;
    displayType: DISPLAY_TYPE;
    startDt: string;
    endDt: string;
    useComment: boolean;
    commentCnt: number;
    prevMagazine: magazineSummaryDto;
    nextMagazine?: magazineSummaryDto;
}
