"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberSyncLog = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
const typeorm_1 = require("typeorm");
let MemberSyncLog = class MemberSyncLog extends common_entity_1.CommonEntity {
};
exports.MemberSyncLog = MemberSyncLog;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], MemberSyncLog.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '회원아이디', required: true }),
    __metadata("design:type", String)
], MemberSyncLog.prototype, "memberId", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: 'request param', required: true }),
    __metadata("design:type", String)
], MemberSyncLog.prototype, "request", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", String)
], MemberSyncLog.prototype, "successFl", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '메시지', required: true }),
    __metadata("design:type", String)
], MemberSyncLog.prototype, "message", void 0);
exports.MemberSyncLog = MemberSyncLog = __decorate([
    (0, typeorm_1.Entity)('gs_memberSyncLog')
], MemberSyncLog);
//# sourceMappingURL=member-sync.entity.js.map