"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopManagerSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const page_options_dto_1 = require("../../../../common/dto/page.options.dto");
class ShopManagerSearchDto extends page_options_dto_1.PageOptionsDto {
}
exports.ShopManagerSearchDto = ShopManagerSearchDto;
__decorate([
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Number)
], ShopManagerSearchDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '매장명', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "shopName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '매장 전화번호', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "shopTel", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '매장 코드', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "shopCode", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '주소', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "address", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '주소 상세', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "addressSub", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '도시 코드', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "city", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '도시 동', required: false }),
    __metadata("design:type", String)
], ShopManagerSearchDto.prototype, "gu", void 0);
//# sourceMappingURL=shop-manager.search.dto.js.map