import { DefaultService } from 'src/common/service/default.service';
import { ShopManagerInsertDto } from './dto/shop-manager.insert.dto';
import { ShopManager } from './entity/shop-manager.entity';
import { ShopManagerUpdateDto } from './dto/shop-manager.update.dto';
import { ShopManagerSearchDto } from './dto/shop-manager.search.dto';
export declare class ShopManagerService extends DefaultService {
    create(dto: ShopManagerInsertDto): Promise<ShopManager>;
    update(dto: ShopManagerUpdateDto): Promise<ShopManager>;
    findOne(sno: number, partnerSno?: number): Promise<any>;
    find(dto: ShopManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
