"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyResultInsertDto = exports.SurveyUserAnswer = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
class SurveyUserAnswer {
}
exports.SurveyUserAnswer = SurveyUserAnswer;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '질문번호' }),
    __metadata("design:type", Number)
], SurveyUserAnswer.prototype, "questionSno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '답변번호, 주관식의 경우 null' }),
    __metadata("design:type", Number)
], SurveyUserAnswer.prototype, "answerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '답변내용' }),
    __metadata("design:type", String)
], SurveyUserAnswer.prototype, "answerText", void 0);
class SurveyResultInsertDto {
}
exports.SurveyResultInsertDto = SurveyResultInsertDto;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '설문번호' }),
    __metadata("design:type", Number)
], SurveyResultInsertDto.prototype, "surveySno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], SurveyResultInsertDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], SurveyResultInsertDto.prototype, "memberNo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", String)
], SurveyResultInsertDto.prototype, "memberId", void 0);
__decorate([
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => SurveyUserAnswer),
    (0, swagger_1.ApiProperty)({ type: [SurveyUserAnswer], description: '유저의 답변' }),
    __metadata("design:type", Array)
], SurveyResultInsertDto.prototype, "userAnswer", void 0);
//# sourceMappingURL=survey-result.insert.dto.js.map