import { SurveyQuestionService } from './survey-question.service';
import { SurveyQuestionTemplateInsertDto } from './dto/survey-question-template.insert.dto';
import { SurveyQuestionTemplate } from './entity/survey-question-template.entity';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
export declare class SurveyAdminController {
    private readonly surveyQuestionService;
    constructor(surveyQuestionService: SurveyQuestionService);
    createQuestionTemplate(req: ICustomAdminRequest, dto: SurveyQuestionTemplateInsertDto): Promise<SurveyQuestionTemplate>;
}
