import { SurveyService } from './survey.service';
import { SurveyResultInsertDto } from './dto/survey-result.insert.dto';
import { ICustomShopRequest } from 'src/common/interface/ICustomShopRequest';
import { Survey } from './entity/survey.entity';
import { SurveyQuestion } from './entity/survey-question.entity';
export declare class SurveyController {
    private readonly surveyService;
    constructor(surveyService: SurveyService);
    getSurvey(req: ICustomShopRequest, sno: number): Promise<Survey>;
    getSurveyQuestion(req: ICustomShopRequest, sno: number): Promise<SurveyQuestion[]>;
    saveSurveyResult(req: ICustomShopRequest, dto: SurveyResultInsertDto): Promise<{
        status: number;
        message: string;
    }>;
}
