import { Survey } from './entity/survey.entity';
import { SurveyQuestion } from './entity/survey-question.entity';
import { SurveyResultInsertDto } from './dto/survey-result.insert.dto';
import { DefaultService } from 'src/common/service/default.service';
export declare class SurveyService extends DefaultService {
    getSurvey(partnerSno: number, surveySno: number): Promise<Survey>;
    getSurveyQuestion(partnerSno: number, surveySno: number, memberNo?: number): Promise<SurveyQuestion[]>;
    saveSurveyResult(dto: SurveyResultInsertDto): Promise<{
        status: number;
        message: string;
    }>;
    validateSurvey(partnerSno: number, surveySno: number, memberNo?: number): Promise<void>;
}
