"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GSExceptionInsertDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class GSExceptionInsertDto {
}
exports.GSExceptionInsertDto = GSExceptionInsertDto;
__decorate([
    (0, swagger_1.ApiProperty)({ description: '고객사번호' }),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], GSExceptionInsertDto.prototype, "partnerSno", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: '호출 url' }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GSExceptionInsertDto.prototype, "url", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'request parameter' }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GSExceptionInsertDto.prototype, "request", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'exception message' }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GSExceptionInsertDto.prototype, "message", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'exception stack trace' }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GSExceptionInsertDto.prototype, "trace", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'errorCode' }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GSExceptionInsertDto.prototype, "errorCode", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'ip' }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GSExceptionInsertDto.prototype, "ip", void 0);
//# sourceMappingURL=exception.insert.dto.js.map