"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CURATION_PRODUCT_DISPLAY_TYPE = exports.TARGET_TYPE = exports.SURVEY_TEMPLATE_TYPE = exports.CONTENT_TYPE = exports.DISPLAY_TYPE = exports.FRONT_DISPLAY = exports.SALE_STATUS = exports.MEMBER_WEBHOOK_TYPE = exports.DATE_SEARCH = exports.ALIMTALK_SERVICE_PROVIDER = exports.HTTP_METHOD = exports.BRAND_NAME_TYPE = exports.MANAGER_TYPE = exports.YN = exports.Order = exports.DB_SYSTEM = exports.SOLUTION = void 0;
var SOLUTION;
(function (SOLUTION) {
    SOLUTION["SHOPBY"] = "shopby";
    SOLUTION["CAFE24"] = "cafe24";
    SOLUTION["SI"] = "si";
})(SOLUTION || (exports.SOLUTION = SOLUTION = {}));
var DB_SYSTEM;
(function (DB_SYSTEM) {
    DB_SYSTEM["DEFAULT"] = "DEFAULT";
    DB_SYSTEM["DUKO"] = "DUKO";
})(DB_SYSTEM || (exports.DB_SYSTEM = DB_SYSTEM = {}));
var Order;
(function (Order) {
    Order["ASC"] = "ASC";
    Order["DESC"] = "DESC";
})(Order || (exports.Order = Order = {}));
var YN;
(function (YN) {
    YN["Y"] = "Y";
    YN["N"] = "N";
})(YN || (exports.YN = YN = {}));
var MANAGER_TYPE;
(function (MANAGER_TYPE) {
    MANAGER_TYPE["ADMIN"] = "admin";
    MANAGER_TYPE["PARTNER"] = "partner";
})(MANAGER_TYPE || (exports.MANAGER_TYPE = MANAGER_TYPE = {}));
var BRAND_NAME_TYPE;
(function (BRAND_NAME_TYPE) {
    BRAND_NAME_TYPE["NAME_KO"] = "NAME_KO";
    BRAND_NAME_TYPE["NAME_EN"] = "NAME_EN";
})(BRAND_NAME_TYPE || (exports.BRAND_NAME_TYPE = BRAND_NAME_TYPE = {}));
var HTTP_METHOD;
(function (HTTP_METHOD) {
    HTTP_METHOD["GET"] = "GET";
    HTTP_METHOD["POST"] = "POST";
    HTTP_METHOD["PUT"] = "PUT";
    HTTP_METHOD["PATCH"] = "PATCH";
    HTTP_METHOD["DELETE"] = "DELETE";
})(HTTP_METHOD || (exports.HTTP_METHOD = HTTP_METHOD = {}));
var ALIMTALK_SERVICE_PROVIDER;
(function (ALIMTALK_SERVICE_PROVIDER) {
    ALIMTALK_SERVICE_PROVIDER["INFOBANK"] = "INFOBANK";
    ALIMTALK_SERVICE_PROVIDER["NHNCLOUD"] = "NHNCLOUD";
})(ALIMTALK_SERVICE_PROVIDER || (exports.ALIMTALK_SERVICE_PROVIDER = ALIMTALK_SERVICE_PROVIDER = {}));
var DATE_SEARCH;
(function (DATE_SEARCH) {
    DATE_SEARCH["START_DATE"] = "START_DATE";
    DATE_SEARCH["END_DATE"] = "END_DATE";
})(DATE_SEARCH || (exports.DATE_SEARCH = DATE_SEARCH = {}));
var MEMBER_WEBHOOK_TYPE;
(function (MEMBER_WEBHOOK_TYPE) {
    MEMBER_WEBHOOK_TYPE["MEMBER_CREATED"] = "MEMBER_CREATED";
    MEMBER_WEBHOOK_TYPE["MEMBER_INFO_CHANGED"] = "MEMBER_INFO_CHANGED";
    MEMBER_WEBHOOK_TYPE["MEMBER_GRADE_CHANGED"] = "MEMBER_GRADE_CHANGED";
    MEMBER_WEBHOOK_TYPE["MEMBER_DORMANT"] = "MEMBER_DORMANT";
    MEMBER_WEBHOOK_TYPE["MEMBER_RELEASED"] = "MEMBER_RELEASED";
    MEMBER_WEBHOOK_TYPE["MEMBER_WITHDRAW"] = "MEMBER_WITHDRAW";
})(MEMBER_WEBHOOK_TYPE || (exports.MEMBER_WEBHOOK_TYPE = MEMBER_WEBHOOK_TYPE = {}));
var SALE_STATUS;
(function (SALE_STATUS) {
    SALE_STATUS["ALL_CONDITIONS"] = "ALL_CONDITIONS";
    SALE_STATUS["ONSALE"] = "ONSALE";
})(SALE_STATUS || (exports.SALE_STATUS = SALE_STATUS = {}));
var FRONT_DISPLAY;
(function (FRONT_DISPLAY) {
    FRONT_DISPLAY["ALL"] = "ALL";
    FRONT_DISPLAY["Y"] = "Y";
    FRONT_DISPLAY["N"] = "N";
})(FRONT_DISPLAY || (exports.FRONT_DISPLAY = FRONT_DISPLAY = {}));
var DISPLAY_TYPE;
(function (DISPLAY_TYPE) {
    DISPLAY_TYPE["ALWAYS"] = "ALWAYS";
    DISPLAY_TYPE["PERIOD"] = "PERIOD";
})(DISPLAY_TYPE || (exports.DISPLAY_TYPE = DISPLAY_TYPE = {}));
var CONTENT_TYPE;
(function (CONTENT_TYPE) {
    CONTENT_TYPE["MAGAZINE"] = "MAGAZINE";
    CONTENT_TYPE["BOARD"] = "BOARD";
})(CONTENT_TYPE || (exports.CONTENT_TYPE = CONTENT_TYPE = {}));
var SURVEY_TEMPLATE_TYPE;
(function (SURVEY_TEMPLATE_TYPE) {
    SURVEY_TEMPLATE_TYPE["MC"] = "MC";
    SURVEY_TEMPLATE_TYPE["SC"] = "SC";
    SURVEY_TEMPLATE_TYPE["EQ"] = "EQ";
})(SURVEY_TEMPLATE_TYPE || (exports.SURVEY_TEMPLATE_TYPE = SURVEY_TEMPLATE_TYPE = {}));
var TARGET_TYPE;
(function (TARGET_TYPE) {
    TARGET_TYPE["ALL"] = "ALL";
    TARGET_TYPE["GOODS"] = "GOODS";
    TARGET_TYPE["CATEGORY"] = "CATEGORY";
    TARGET_TYPE["BRAND"] = "BRAND";
})(TARGET_TYPE || (exports.TARGET_TYPE = TARGET_TYPE = {}));
var CURATION_PRODUCT_DISPLAY_TYPE;
(function (CURATION_PRODUCT_DISPLAY_TYPE) {
    CURATION_PRODUCT_DISPLAY_TYPE["LIST"] = "LIST";
    CURATION_PRODUCT_DISPLAY_TYPE["NAVIGATION_SWIPER"] = "NAVIGATION_SWIPER";
    CURATION_PRODUCT_DISPLAY_TYPE["GRID"] = "GRID";
    CURATION_PRODUCT_DISPLAY_TYPE["PAGINATION_SWIPER"] = "PAGINATION_SWIPER";
})(CURATION_PRODUCT_DISPLAY_TYPE || (exports.CURATION_PRODUCT_DISPLAY_TYPE = CURATION_PRODUCT_DISPLAY_TYPE = {}));
//# sourceMappingURL=enum.js.map