"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostInterceptor = void 0;
const common_1 = require("@nestjs/common");
let PostInterceptor = class PostInterceptor {
    intercept(context, next) {
        const request = context.switchToHttp().getRequest();
        const response = context.switchToHttp().getResponse();
        if (request.method === 'POST') {
            if (response.status === 201)
                context.switchToHttp().getResponse().status(common_1.HttpStatus.OK);
        }
        return next.handle();
    }
};
exports.PostInterceptor = PostInterceptor;
exports.PostInterceptor = PostInterceptor = __decorate([
    (0, common_1.Injectable)()
], PostInterceptor);
//# sourceMappingURL=post.interceptor.js.map