import { NestMiddleware } from '@nestjs/common';
import { NextFunction } from 'express';
import { ICustomShopRequest } from '../interface/ICustomShopRequest';
import { JwtService } from '@nestjs/jwt';
export declare class ShopMiddleware implements NestMiddleware {
    private jwtService;
    constructor(jwtService: JwtService);
    use(req: ICustomShopRequest, res: Response, next: NextFunction): Promise<void>;
}
