import { NestMiddleware } from '@nestjs/common';
import { JwtService } from '@nestjs/jwt';
import { ICustomUserRequest } from '../interface/ICustomUserRequest';
import { NextFunction } from 'express';
export declare class UserMiddleware implements NestMiddleware {
    private jwtService;
    constructor(jwtService: JwtService);
    use(req: ICustomUserRequest, res: Response, next: NextFunction): Promise<void>;
}
