import { ModuleRef } from '@nestjs/core';
import { EntityManager } from 'typeorm';
import { DB_SYSTEM } from '../enum/enum';
export declare class DefaultService {
    protected readonly moduleRef: ModuleRef;
    protected entityManager: EntityManager;
    constructor(moduleRef: ModuleRef);
    private loadEntityManager;
    protected getEntityManager(systemId?: DB_SYSTEM): Promise<EntityManager>;
    protected createBase<T>(entityClass: {
        new (): T;
    }, dto?: Partial<T>, systemId?: DB_SYSTEM): Promise<T>;
    protected updateBase<T>(entityClass: {
        new (): T;
    }, dto?: any, systemId?: DB_SYSTEM): Promise<T>;
    private getOne;
    protected delete(entityClass: any, sno: number, systemId?: DB_SYSTEM): Promise<{
        result: boolean;
    }>;
}
