"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkManagerUpdateDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class AlimtalkManagerUpdateDto {
}
exports.AlimtalkManagerUpdateDto = AlimtalkManagerUpdateDto;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: 'sno', required: true }),
    __metadata("design:type", Number)
], AlimtalkManagerUpdateDto.prototype, "sno", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.ALIMTALK_SERVICE_PROVIDER),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '서비스 제공 업체',
        required: true,
        enum: enum_1.ALIMTALK_SERVICE_PROVIDER,
    }),
    __metadata("design:type", String)
], AlimtalkManagerUpdateDto.prototype, "serviceProvider", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '클라이언트 키', required: true }),
    __metadata("design:type", String)
], AlimtalkManagerUpdateDto.prototype, "clientKey", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '클라이언트 비밀번호', required: true }),
    __metadata("design:type", String)
], AlimtalkManagerUpdateDto.prototype, "clientPwd", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '발신 프로필 키', required: true }),
    __metadata("design:type", String)
], AlimtalkManagerUpdateDto.prototype, "profileKey", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '전송자 정보', required: false }),
    __metadata("design:type", String)
], AlimtalkManagerUpdateDto.prototype, "senderInfo", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '추가정보', required: false }),
    __metadata("design:type", String)
], AlimtalkManagerUpdateDto.prototype, "additionalInfo", void 0);
//# sourceMappingURL=alimtalk-manager.update.dto.js.map