"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkTemplateUpdateDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class AlimtalkTemplateUpdateDto {
}
exports.AlimtalkTemplateUpdateDto = AlimtalkTemplateUpdateDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '템플릿코드', required: true }),
    __metadata("design:type", String)
], AlimtalkTemplateUpdateDto.prototype, "templateCode", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], AlimtalkTemplateUpdateDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '템플릿제목', required: false }),
    __metadata("design:type", String)
], AlimtalkTemplateUpdateDto.prototype, "templateTitle", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '메시지', required: false }),
    __metadata("design:type", String)
], AlimtalkTemplateUpdateDto.prototype, "msg", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '버튼 사용 여부',
        required: false,
    }),
    __metadata("design:type", String)
], AlimtalkTemplateUpdateDto.prototype, "useButton", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '버튼JSON', required: false }),
    __metadata("design:type", String)
], AlimtalkTemplateUpdateDto.prototype, "attachment", void 0);
//# sourceMappingURL=alimtalk-template.update.dto.js.map