import { AppManagerService } from './app-manager.service';
import { AppManagerInsertDto } from './dto/ app-manager.insert.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { AppManagerUpdateDto } from './dto/app-manager.update.dto';
import { AppManagerSearchDto } from './dto/app-manager.search.dto';
import { AppManager } from './entity/app-manager.entity';
export declare class AppManagerController {
    private appManagerService;
    constructor(appManagerService: AppManagerService);
    find(dto: AppManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(sno: number): Promise<any>;
    create(req: ICustomAdminRequest, dto: AppManagerInsertDto): Promise<AppManager>;
    update(dto: AppManagerUpdateDto): Promise<AppManager>;
}
