import { DefaultService } from 'src/common/service/default.service';
import { AppManagerInsertDto } from './dto/ app-manager.insert.dto';
import { AppManager } from './entity/app-manager.entity';
import { AppManagerUpdateDto } from './dto/app-manager.update.dto';
import { AppManagerSearchDto } from './dto/app-manager.search.dto';
import { AppPartnerService } from '../app-partner/app-partner.service';
import { ModuleRef } from '@nestjs/core';
export declare class AppManagerService extends DefaultService {
    private appPartnerService;
    protected readonly moduleRef: ModuleRef;
    constructor(appPartnerService: AppPartnerService, moduleRef: ModuleRef);
    create(dto: AppManagerInsertDto): Promise<AppManager>;
    update(dto: AppManagerUpdateDto): Promise<AppManager>;
    findOne(sno: number): Promise<any>;
    find(dto: AppManagerSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
