"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppPartnerController = void 0;
const common_1 = require("@nestjs/common");
const app_partner_service_1 = require("./app-partner.service");
const app_partner_insert_dto_1 = require("./dto/app-partner.insert.dto");
let AppPartnerController = class AppPartnerController {
    constructor(appPartnerService) {
        this.appPartnerService = appPartnerService;
    }
    async create(dto) {
        return this.appPartnerService.create(dto);
    }
    async delete(sno) {
        return this.appPartnerService.delete(sno);
    }
    async find(req, partnerSno) {
        return this.appPartnerService.find(partnerSno, req.sno);
    }
};
exports.AppPartnerController = AppPartnerController;
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [app_partner_insert_dto_1.AppPartnerInsertDto]),
    __metadata("design:returntype", Promise)
], AppPartnerController.prototype, "create", null);
__decorate([
    (0, common_1.Delete)('/:sno'),
    __param(0, (0, common_1.Param)('sno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], AppPartnerController.prototype, "delete", null);
__decorate([
    (0, common_1.Get)('/:partnerSno'),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('partnerSno')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number]),
    __metadata("design:returntype", Promise)
], AppPartnerController.prototype, "find", null);
exports.AppPartnerController = AppPartnerController = __decorate([
    (0, common_1.Controller)('admin/app-partner'),
    __metadata("design:paramtypes", [app_partner_service_1.AppPartnerService])
], AppPartnerController);
//# sourceMappingURL=app-partner.controller.js.map