import { DefaultService } from 'src/common/service/default.service';
import { AppPartner } from './entity/app-partner.entity';
import { AppPartnerInsertDto } from './dto/app-partner.insert.dto';
import { ModuleRef } from '@nestjs/core';
import { ManagerService } from '../manager/manager.service';
export declare class AppPartnerService extends DefaultService {
    private readonly managerService;
    protected readonly moduleRef: ModuleRef;
    constructor(managerService: ManagerService, moduleRef: ModuleRef);
    create(dto: AppPartnerInsertDto): Promise<AppPartner[]>;
    find(partnerSno: number, managerSno?: number): Promise<any[]>;
    exist(appSno: number, partnerSno: number): Promise<boolean>;
    delete(sno: number): Promise<{
        result: boolean;
    }>;
    findPartnersByAppNo(appSno: number): Promise<any[]>;
}
