import { DefaultService } from 'src/common/service/default.service';
import { Code } from './entity/code.entity';
import { CodeSearchDto } from './dto/code.search.dto';
import { CodeInsertDto } from './dto/code.insert.dto';
import { CodeUpdateDto } from './dto/code.update.dto';
export declare class CodeService extends DefaultService {
    find(dto: CodeSearchDto): Promise<any[]>;
    findOne(codeKey: string): Promise<Code>;
    create(dto: CodeInsertDto): Promise<Code>;
    update(dto: CodeUpdateDto): Promise<import("typeorm").UpdateResult>;
    delete(codeKey: string): Promise<{
        result: boolean;
    }>;
    getCodeChildren(codeKey: string): Promise<Code[]>;
    getHierarchy(codeKey: string): Promise<Code[]>;
}
