"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagerSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const page_options_dto_1 = require("../../../../common/dto/page.options.dto");
const enum_1 = require("../../../../common/enum/enum");
class ManagerSearchDto extends page_options_dto_1.PageOptionsDto {
}
exports.ManagerSearchDto = ManagerSearchDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '아이디', required: true }),
    __metadata("design:type", String)
], ManagerSearchDto.prototype, "id", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.MANAGER_TYPE),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '전체관리자 여부',
        enum: enum_1.MANAGER_TYPE,
        required: false,
    }),
    __metadata("design:type", String)
], ManagerSearchDto.prototype, "managerType", void 0);
__decorate([
    (0, class_transformer_1.Type)(() => Number),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '제휴사 번호', required: false }),
    __metadata("design:type", Number)
], ManagerSearchDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 이름', required: false }),
    __metadata("design:type", String)
], ManagerSearchDto.prototype, "managerName", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '승인여부',
        enum: enum_1.YN,
        required: false,
    }),
    __metadata("design:type", String)
], ManagerSearchDto.prototype, "status", void 0);
//# sourceMappingURL=manager.search.dto.js.map