"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagerUpdateDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class ManagerUpdateDto {
    constructor() {
        this.status = enum_1.YN.N;
    }
}
exports.ManagerUpdateDto = ManagerUpdateDto;
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'sno' }),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", Number)
], ManagerUpdateDto.prototype, "sno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 이름', required: true }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "managerName", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 전화번호', required: true }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "managerTel", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '관리자 이메일', required: true }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "managerEmail", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '승인여부',
        default: 'N',
        enum: enum_1.YN,
        required: false,
    }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "accessToken", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '권한', required: false }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "authority", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '추가정보', required: false }),
    __metadata("design:type", String)
], ManagerUpdateDto.prototype, "additionalInfo", void 0);
//# sourceMappingURL=manager.update.dto.js.map