"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopByServerApiDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class ShopByServerApiDto {
    constructor() {
        this.version = '1.0';
    }
}
exports.ShopByServerApiDto = ShopByServerApiDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: 'ShopBy Server Api Url', example: '/brands' }),
    __metadata("design:type", String)
], ShopByServerApiDto.prototype, "url", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.HTTP_METHOD),
    (0, swagger_1.ApiProperty)({ description: '호출 할 API Http method', enum: enum_1.HTTP_METHOD }),
    __metadata("design:type", String)
], ShopByServerApiDto.prototype, "httpMethod", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: 'request body or param > Json stringify',
        example: "{'productNo': 1000000, 'brandNo' : 123123}",
    }),
    __metadata("design:type", String)
], ShopByServerApiDto.prototype, "param", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: 'API Version', default: '1.0' }),
    __metadata("design:type", Object)
], ShopByServerApiDto.prototype, "version", void 0);
//# sourceMappingURL=server-api.dto.js.map