"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopbyService = void 0;
const common_1 = require("@nestjs/common");
const partner_service_1 = require("../partner/partner.service");
const gsUtil_1 = require("../../../common/util/gsUtil");
let ShopbyService = class ShopbyService {
    constructor(partnerService) {
        this.partnerService = partnerService;
    }
    async shopByServerApi(partnerSno, dto) {
        const partner = await this.partnerService.findOne(partnerSno);
        const param = JSON.parse(dto.param);
        return await (0, gsUtil_1.shopByServerApi)(dto.url, dto.httpMethod, partner.systemKey, partner.longLivedToken, param, dto.version);
    }
};
exports.ShopbyService = ShopbyService;
exports.ShopbyService = ShopbyService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [partner_service_1.PartnerService])
], ShopbyService);
//# sourceMappingURL=shopby.service.js.map