"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlimtalkController = void 0;
const common_1 = require("@nestjs/common");
const alimtalk_send_dto_1 = require("./dto/alimtalk.send.dto");
const swagger_1 = require("@nestjs/swagger");
const alimtalk_service_1 = require("./alimtalk.service");
let AlimtalkController = class AlimtalkController {
    constructor(alimtalkService) {
        this.alimtalkService = alimtalkService;
    }
    async sendAlimtalk(dto) {
        return this.alimtalkService.sendAlimtalk(dto.partnerSno, dto.templateCode, dto.replace, dto.receiver);
    }
};
exports.AlimtalkController = AlimtalkController;
__decorate([
    (0, common_1.Post)(),
    (0, swagger_1.ApiOperation)({ summary: '알림톡 발송 테스트' }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [alimtalk_send_dto_1.AlimtalkSendDto]),
    __metadata("design:returntype", Promise)
], AlimtalkController.prototype, "sendAlimtalk", null);
exports.AlimtalkController = AlimtalkController = __decorate([
    (0, common_1.Controller)('app/alimtalk'),
    __metadata("design:paramtypes", [alimtalk_service_1.AlimtalkService])
], AlimtalkController);
//# sourceMappingURL=alimtalk.controller.js.map