"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandLikeUpdateDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const enum_1 = require("../../../../common/enum/enum");
class BrandLikeUpdateDto {
}
exports.BrandLikeUpdateDto = BrandLikeUpdateDto;
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'brandNo', required: true }),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], BrandLikeUpdateDto.prototype, "brandNo", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], BrandLikeUpdateDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '회원번호 번호', required: true }),
    __metadata("design:type", Number)
], BrandLikeUpdateDto.prototype, "memNo", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, swagger_1.ApiProperty)({ description: 'Y : 좋아요, N : 해제', enum: enum_1.YN }),
    __metadata("design:type", String)
], BrandLikeUpdateDto.prototype, "likeYn", void 0);
//# sourceMappingURL=brand-like.update.dto.js.map