"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandController = void 0;
const common_1 = require("@nestjs/common");
const brand_manager_service_1 = require("./brand-manager.service");
const swagger_1 = require("@nestjs/swagger");
const brand_manager_entity_1 = require("./entity/brand-manager.entity");
const brand_manager_search_dto_1 = require("./dto/brand-manager.search.dto");
const enum_1 = require("../../../common/enum/enum");
let BrandController = class BrandController {
    constructor(brandManagerService) {
        this.brandManagerService = brandManagerService;
    }
    async find(req, dto) {
        if (req.managerType == enum_1.MANAGER_TYPE.PARTNER) {
            dto.partnerSno = req.partnerSno;
        }
        return await this.brandManagerService.find(dto);
    }
};
exports.BrandController = BrandController;
__decorate([
    (0, common_1.Get)(),
    (0, swagger_1.ApiOperation)({ summary: '브랜드 리스트' }),
    (0, swagger_1.ApiParam)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)<br>(header)',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [brand_manager_entity_1.BrandManager] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, brand_manager_search_dto_1.BrandManagerSearchDto]),
    __metadata("design:returntype", Promise)
], BrandController.prototype, "find", null);
exports.BrandController = BrandController = __decorate([
    (0, common_1.Controller)('app/brand'),
    (0, swagger_1.ApiTags)('브랜드 앱 API - 사용자'),
    __metadata("design:paramtypes", [brand_manager_service_1.BrandManagerService])
], BrandController);
//# sourceMappingURL=brand.controller.js.map