import { CategoryLikeService } from './category-like.service';
import { CategoryLikeUpdateDto } from './dto/category-like.update.dto';
import { ICustomUserRequest } from 'src/common/interface/ICustomUserRequest';
import { CategoryLikeArrayUpdateDto } from './dto/category-like-array.update.dto';
export declare class CategoryLikeController {
    private readonly categoryLikeService;
    constructor(categoryLikeService: CategoryLikeService);
    create(req: ICustomUserRequest, dto: CategoryLikeUpdateDto): Promise<import("./entity/category-like.entity").CategoryLike | {
        result: boolean;
    }>;
    find(req: ICustomUserRequest, memNo: number): Promise<any[]>;
    createArray(req: ICustomUserRequest, dto: CategoryLikeArrayUpdateDto): Promise<void>;
}
