"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const page_options_dto_1 = require("../../../../common/dto/page.options.dto");
const enum_1 = require("../../../../common/enum/enum");
class CommentSearchDto extends page_options_dto_1.PageOptionsDto {
}
exports.CommentSearchDto = CommentSearchDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], CommentSearchDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.CONTENT_TYPE),
    (0, swagger_1.ApiProperty)({
        description: '코멘트 적용 타입',
        required: true,
        enum: enum_1.CONTENT_TYPE,
    }),
    __metadata("design:type", String)
], CommentSearchDto.prototype, "contentType", void 0);
__decorate([
    (0, class_validator_1.IsNumberString)(),
    (0, swagger_1.ApiProperty)({ description: '매거진/게시글 번호', required: true }),
    __metadata("design:type", Number)
], CommentSearchDto.prototype, "contentSno", void 0);
//# sourceMappingURL=comment.search.dto.js.map