"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonProductInfoDetail = void 0;
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
const swagger_1 = require("@nestjs/swagger");
const common_product_info_entity_1 = require("./common-product-info.entity");
const common_entity_1 = require("../../../../common/entity/common.entity");
const enum_1 = require("../../../../common/enum/enum");
let CommonProductInfoDetail = class CommonProductInfoDetail extends common_entity_1.CommonEntity {
};
exports.CommonProductInfoDetail = CommonProductInfoDetail;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '상품 공통정보 리스트 sno', required: true }),
    __metadata("design:type", Number)
], CommonProductInfoDetail.prototype, "relSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({
        description: '타겟 리스트 내 번호(상품, 카테고리, 브랜드)',
        required: true,
    }),
    __metadata("design:type", Number)
], CommonProductInfoDetail.prototype, "commonCd", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsEnum)(enum_1.TARGET_TYPE),
    (0, swagger_1.ApiProperty)({ description: '노출타입', required: true }),
    __metadata("design:type", String)
], CommonProductInfoDetail.prototype, "targetFl", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => common_product_info_entity_1.CommonProductInfo, (productInfo) => productInfo.targetList),
    (0, typeorm_1.JoinColumn)({ name: 'relSno', referencedColumnName: 'sno' }),
    __metadata("design:type", common_product_info_entity_1.CommonProductInfo)
], CommonProductInfoDetail.prototype, "productInfo", void 0);
exports.CommonProductInfoDetail = CommonProductInfoDetail = __decorate([
    (0, typeorm_1.Entity)('gs_common_product_info_detail')
], CommonProductInfoDetail);
//# sourceMappingURL=common-product-info.detail.entity.js.map