"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurationCardController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const curation_card_service_1 = require("./curation-card.service");
const curation_entity_1 = require("./entity/curation.entity");
let CurationCardController = class CurationCardController {
    constructor(curationCardService) {
        this.curationCardService = curationCardService;
    }
    async getCurationCardList(req, groupId) {
        return this.curationCardService.getCurationListByGroupId(groupId, req.partnerSno, false);
    }
};
exports.CurationCardController = CurationCardController;
__decorate([
    (0, common_1.Get)('/:groupId'),
    (0, swagger_1.ApiOperation)({ summary: '매거진 목록' }),
    (0, swagger_1.ApiHeader)({
        name: 'appToken',
        required: true,
        description: '앱 토큰(Bearer Token)',
    }),
    (0, swagger_1.ApiResponse)({ status: 200, type: [curation_entity_1.Curation] }),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('groupId')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", Promise)
], CurationCardController.prototype, "getCurationCardList", null);
exports.CurationCardController = CurationCardController = __decorate([
    (0, swagger_1.ApiTags)('[사용자] 큐레이션 카드'),
    (0, common_1.Controller)('/app/curation-card'),
    __metadata("design:paramtypes", [curation_card_service_1.CurationCardService])
], CurationCardController);
//# sourceMappingURL=curation-card.controller.js.map