import { DefaultService } from 'src/common/service/default.service';
import { CurationInsertDto } from './dto/curation.insert.dto';
import { Curation } from './entity/curation.entity';
import { CurationSearchDto } from './dto/curation.search.dto';
import { CurationUpdateDto } from './dto/curation.update.dto';
export declare class CurationCardService extends DefaultService {
    create(dto: CurationInsertDto): Promise<Curation>;
    update(dto: CurationUpdateDto): Promise<void>;
    getCurationListByGroupId(groupId: string, partnerSno: number, isAdmin?: boolean): Promise<Curation[]>;
    getCurationList(dto: CurationSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    deleteCuration(sno: number): Promise<void>;
    getCuration(sno: number, partnerSno: number): Promise<Curation>;
}
