import { CURATION_PRODUCT_DISPLAY_TYPE, DISPLAY_TYPE } from 'src/common/enum/enum';
import { CurationProductDisplayInsertDto } from './curation-product-display.insert.dto';
declare class TagDto {
    tagName: string;
    tagColor: string;
}
declare class ThumbnailDto {
    pcImgUrl: string;
    mobileImgUrl: string;
}
export declare class CurationInsertDto {
    partnerSno: number;
    managerSno: number;
    groupId: string;
    title: string;
    description: string;
    displayOrder: number;
    displayFl: boolean;
    displayType: DISPLAY_TYPE;
    tag: TagDto;
    thumbnail: ThumbnailDto;
    startDt: string;
    endDt: string;
    landingUrl: string;
    blankFl: boolean;
    productDisplayType: CURATION_PRODUCT_DISPLAY_TYPE;
    productDisplay: CurationProductDisplayInsertDto[];
    additionalInfo: string;
}
export {};
