"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MagazineAdminSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const toBoolean_decorator_1 = require("../../../../common/decorators/toBoolean.decorator");
const page_options_dto_1 = require("../../../../common/dto/page.options.dto");
class MagazineAdminSearchDto extends page_options_dto_1.PageOptionsDto {
}
exports.MagazineAdminSearchDto = MagazineAdminSearchDto;
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Exclude)({ toClassOnly: true }),
    __metadata("design:type", Number)
], MagazineAdminSearchDto.prototype, "partnerSno", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '카테고리', required: false, maxLength: 50 }),
    __metadata("design:type", String)
], MagazineAdminSearchDto.prototype, "category", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '제목', required: false, maxLength: 100 }),
    __metadata("design:type", String)
], MagazineAdminSearchDto.prototype, "title", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({
        description: '태그',
        example: '#긱스튜디오',
        required: false,
        maxLength: 200,
    }),
    __metadata("design:type", String)
], MagazineAdminSearchDto.prototype, "tag", void 0);
__decorate([
    (0, toBoolean_decorator_1.ToBoolean)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '노출여부', required: false }),
    __metadata("design:type", Boolean)
], MagazineAdminSearchDto.prototype, "displayFl", void 0);
//# sourceMappingURL=magazine.admin.search.dto.js.map