import { MagazineService } from './magazine.service';
import { ICustomUserRequest } from 'src/common/interface/ICustomUserRequest';
import { MagazineSearchDto } from './dto/magazine.search.dto';
export declare class MagazineController {
    private readonly magazineService;
    constructor(magazineService: MagazineService);
    find(req: ICustomUserRequest, dto: MagazineSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
    findOne(req: ICustomUserRequest, sno: number): Promise<any>;
}
