"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberSyncSearchDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const page_options_dto_1 = require("../../../../common/dto/page.options.dto");
const enum_1 = require("../../../../common/enum/enum");
class MemberSyncSearchDto extends page_options_dto_1.PageOptionsDto {
}
exports.MemberSyncSearchDto = MemberSyncSearchDto;
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '회원아이디', required: false }),
    __metadata("design:type", String)
], MemberSyncSearchDto.prototype, "memberId", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(enum_1.YN),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '성공여부', required: false }),
    __metadata("design:type", String)
], MemberSyncSearchDto.prototype, "successFl", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '시작일', required: false }),
    __metadata("design:type", String)
], MemberSyncSearchDto.prototype, "startDate", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '종료일', required: false }),
    __metadata("design:type", String)
], MemberSyncSearchDto.prototype, "endDate", void 0);
//# sourceMappingURL=member-sync.search.dto.js.map