import { MemberSyncService } from './member-sync.service';
import { MemberInsertDto } from './dto/member.insert.dto';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { MemberSyncSearchDto } from './dto/member-sync.search.dto';
export declare class MemberSyncController {
    private readonly memberSyncService;
    constructor(memberSyncService: MemberSyncService);
    create(req: ICustomAdminRequest, dto: MemberInsertDto[]): Promise<void>;
    memberSyncList(req: ICustomAdminRequest, dto: MemberSyncSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
