import { ModuleRef } from '@nestjs/core';
import { PartnerService } from 'src/api/admin/partner/partner.service';
import { DefaultService } from 'src/common/service/default.service';
import { MemberInsertDto } from './dto/member.insert.dto';
import { MemberSyncSearchDto } from './dto/member-sync.search.dto';
export declare class MemberSyncService extends DefaultService {
    private readonly partnerService;
    protected readonly moduleRef: ModuleRef;
    constructor(partnerService: PartnerService, moduleRef: ModuleRef);
    memberSync(partnerSno: number, arrDto: MemberInsertDto[]): Promise<void>;
    memberSyncList(partnerSno: number, dto: MemberSyncSearchDto): Promise<{
        statusCode: string;
        data: any[];
        count: any;
        currentPage: any;
        nextPage: any;
        prevPage: number;
        lastPage: number;
    }>;
}
