import { SearchRankingService } from './search-ranking.service';
import { ICustomUserRequest } from 'src/common/interface/ICustomUserRequest';
export declare class SearchRankingController {
    private readonly searchRankingService;
    constructor(searchRankingService: SearchRankingService);
    incrementKeyword(req: ICustomUserRequest, keyword: string): Promise<void>;
    getKeywordRanking(req: ICustomUserRequest): Promise<any[]>;
    getSnapshots(req: ICustomUserRequest): Promise<any[]>;
    saveSnapshots(req: ICustomUserRequest): Promise<void>;
}
