import { ModuleRef } from '@nestjs/core';
import { DefaultService } from 'src/common/service/default.service';
export declare class SearchRankingService extends DefaultService {
    protected readonly moduleRef: ModuleRef;
    private readonly redis;
    constructor(moduleRef: ModuleRef);
    snapshotCurrentRanking(partnerSno?: number): Promise<void>;
    isDuplicateSearch(partnerSno: number, ip: string, keyword: string, expireTime?: number): Promise<boolean>;
    incrementKeyword(partnerSno: number, ip: string, keyword: string): Promise<void>;
    isBlacklisted(keyword: string): Promise<boolean>;
    getKeywordRanking(partnerSno: number, count?: number): Promise<any[]>;
    resetDailyRanking(partnerSno: number): Promise<void>;
    getAllSnapshots(partnerSno: number): Promise<any[]>;
    getCurrentRanking(partnerSno: number, count?: number): Promise<string[]>;
}
