"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopManager = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const common_entity_1 = require("../../../../common/entity/common.entity");
const typeorm_1 = require("typeorm");
let ShopManager = class ShopManager extends common_entity_1.CommonEntity {
};
exports.ShopManager = ShopManager;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '고객사 번호', required: true }),
    __metadata("design:type", Number)
], ShopManager.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '매장명', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "shopName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '매장 전화번호', required: false }),
    __metadata("design:type", String)
], ShopManager.prototype, "shopTel", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '매장 코드', required: false }),
    __metadata("design:type", String)
], ShopManager.prototype, "shopCode", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '우편번호', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "zipcode", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '주소', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '주소 상세', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "addressSub", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '도시 코드', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "city", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '도시 동', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "gu", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '위도', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "lat", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '경도', required: true }),
    __metadata("design:type", String)
], ShopManager.prototype, "lng", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '운영시간', required: false }),
    __metadata("design:type", String)
], ShopManager.prototype, "officeHour", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '매장 설명', required: false }),
    __metadata("design:type", String)
], ShopManager.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '추가정보', required: false }),
    __metadata("design:type", String)
], ShopManager.prototype, "additionalInfo", void 0);
exports.ShopManager = ShopManager = __decorate([
    (0, typeorm_1.Entity)('gs_shopManager')
], ShopManager);
//# sourceMappingURL=shop-manager.entity.js.map