"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopbyAuthController = void 0;
const common_1 = require("@nestjs/common");
const shopby_auth_service_1 = require("./shopby-auth.service");
const enum_1 = require("../../../common/enum/enum");
const accessToken_guard_1 = require("../../../common/guards/accessToken.guard");
const roles_guard_1 = require("../../../common/guards/roles.guard");
const hasRole_decorator_1 = require("../../../common/decorators/hasRole.decorator");
let ShopbyAuthController = class ShopbyAuthController {
    constructor(shopbyAuthService) {
        this.shopbyAuthService = shopbyAuthService;
    }
    async getLongLivedToken(req, partnerSno, code) {
        return this.shopbyAuthService.getLongLivedToken(partnerSno, code);
    }
};
exports.ShopbyAuthController = ShopbyAuthController;
__decorate([
    (0, common_1.Get)('/:partnerSno/:code'),
    (0, hasRole_decorator_1.HasRoles)(enum_1.MANAGER_TYPE.ADMIN),
    (0, common_1.UseGuards)(accessToken_guard_1.AccessTokenGuard, roles_guard_1.RolesGuard),
    __param(0, (0, common_1.Req)()),
    __param(1, (0, common_1.Param)('partnerSno')),
    __param(2, (0, common_1.Param)('code')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Number, String]),
    __metadata("design:returntype", Promise)
], ShopbyAuthController.prototype, "getLongLivedToken", null);
exports.ShopbyAuthController = ShopbyAuthController = __decorate([
    (0, common_1.Controller)('shopby-auth'),
    __metadata("design:paramtypes", [shopby_auth_service_1.ShopByAuthService])
], ShopbyAuthController);
//# sourceMappingURL=shopby-auth.controller.js.map