"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyAnswer = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
const survey_question_entity_1 = require("./survey-question.entity");
const common_entity_1 = require("../../../../common/entity/common.entity");
let SurveyAnswer = class SurveyAnswer extends common_entity_1.CommonEntity {
};
exports.SurveyAnswer = SurveyAnswer;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '설문번호' }),
    __metadata("design:type", Number)
], SurveyAnswer.prototype, "surveySno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '질문번호' }),
    __metadata("design:type", Number)
], SurveyAnswer.prototype, "questionSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsNumber)(),
    (0, swagger_1.ApiProperty)({ description: '답변' }),
    __metadata("design:type", String)
], SurveyAnswer.prototype, "answerText", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => survey_question_entity_1.SurveyQuestion, (question) => question.answers),
    __metadata("design:type", survey_question_entity_1.SurveyQuestion)
], SurveyAnswer.prototype, "question", void 0);
exports.SurveyAnswer = SurveyAnswer = __decorate([
    (0, typeorm_1.Entity)('gs_survey_answer')
], SurveyAnswer);
//# sourceMappingURL=survey-answer.entity.js.map