"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyQuestionTemplate = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const typeorm_1 = require("typeorm");
const survey_question_entity_1 = require("./survey-question.entity");
const common_entity_1 = require("../../../../common/entity/common.entity");
let SurveyQuestionTemplate = class SurveyQuestionTemplate extends common_entity_1.CommonEntity {
};
exports.SurveyQuestionTemplate = SurveyQuestionTemplate;
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({ description: '템플릿명' }),
    __metadata("design:type", String)
], SurveyQuestionTemplate.prototype, "templateTitle", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, swagger_1.ApiProperty)({
        description: '고객사 번호, 0 이면 전체 고객사 사용 가능, 특정 고객사의 경우 구분자 ||(1||3||5)',
    }),
    __metadata("design:type", String)
], SurveyQuestionTemplate.prototype, "partnerSno", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.MaxLength)(2),
    (0, swagger_1.ApiProperty)({ description: '질문코드 (최대2글자)' }),
    __metadata("design:type", String)
], SurveyQuestionTemplate.prototype, "templateCode", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, swagger_1.ApiProperty)({ description: '설정정보' }),
    __metadata("design:type", String)
], SurveyQuestionTemplate.prototype, "preference", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => survey_question_entity_1.SurveyQuestion, (question) => question.template),
    (0, typeorm_1.JoinColumn)({ name: 'sno' }),
    __metadata("design:type", survey_question_entity_1.SurveyQuestion)
], SurveyQuestionTemplate.prototype, "question", void 0);
exports.SurveyQuestionTemplate = SurveyQuestionTemplate = __decorate([
    (0, typeorm_1.Entity)('gs_survey_question_template')
], SurveyQuestionTemplate);
//# sourceMappingURL=survey-question-template.entity.js.map