import { ExceptionFilter, ArgumentsHost } from '@nestjs/common';
import { JwtService } from '@nestjs/jwt';
import { GSExceptionService } from 'src/api/common/exception/exception.service';
export declare class GlobalExceptionFilter implements ExceptionFilter {
    private readonly gsExceptionService;
    private readonly jwtService;
    constructor(gsExceptionService: GSExceptionService, jwtService: JwtService);
    catch(exception: any, host: ArgumentsHost): Promise<void>;
}
