import { NestMiddleware } from '@nestjs/common';
import { ICustomAdminRequest } from 'src/common/interface/ICustomAdminRequest';
import { NextFunction, Response } from 'express';
import { JwtService } from '@nestjs/jwt';
export declare class AdminMiddleware implements NestMiddleware {
    private jwtService;
    constructor(jwtService: JwtService);
    use(req: ICustomAdminRequest, res: Response, next: NextFunction): Promise<void>;
}
