import { HTTP_METHOD } from '../enum/enum';
export declare function paginateResponse(data: any, page: any, limit: any): {
    statusCode: string;
    data: any[];
    count: any;
    currentPage: any;
    nextPage: any;
    prevPage: number;
    lastPage: number;
};
export declare function randomDigitNumber(): string;
export declare function shopByServerApi(apiUrl: string, httpMethod: HTTP_METHOD, systemKey: string, longLivedToken?: string, params?: any, version?: string): Promise<any>;
export declare function shopByShopApi(apiUrl: string, httpMethod: HTTP_METHOD, clientid: string, params?: any, version?: string, platform?: string, accessToken?: string, shopByAuthorization?: string): Promise<any>;
export declare function convertGlobalTelNo(telNo: string): string;
export declare function getDatesStartToLast(startDate: string, endDate: string): Date[];
export declare function getEventTime(): string;
export declare function getUUID(): string;
export declare function getAlphabetByNumber(number: number): string;
export declare function formatDateToyyyyMMdd(date: any): any;
export declare function getRandomString(length: number): string;
export declare function tossBankCodeToBankName(bankCode: string): string;
export declare function convertNumberFormat(input: number): string;
export declare function convertDeliveryType(deliveryType: string): "택배/등기/소포" | "직접배송(화물배달)";
export declare function isNullOrEmpty(value: string | null | undefined): boolean;
